| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# INamedInterface Class Reference

`#include <GaudiKernel/INamedInterface.h>`

Inheritance diagram for INamedInterface:

[legend]
Collaboration diagram for INamedInterface:

[legend]
List of all members.

## Detailed Description

IInterface compliant class extending IInterface with the name() method.

Author:
  Charles Leggett

  Marco Clemencic

Definition at line 19 of file INamedInterface.h.

## Public Member Functions
virtual const std::string & | name () const=0
| Retrieve the name of the instance.
virtual | ~INamedInterface ()
| Virtual destructor (always needed for abstract classes).
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Constructor & Destructor Documentation

virtual INamedInterface::~INamedInterface | ( |  | ) | `[inline, virtual]`

Virtual destructor (always needed for abstract classes).

Definition at line 29 of file INamedInterface.h.

    00029 {}

## Member Function Documentation

static const InterfaceID& INamedInterface::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Reimplemented in IErrorTool, IGenericTool, IHistoTool, ISequencerTimerTool, ITupleTool, IEqSolver, IFuncMinimum, IGslErrorHandler, IGslSvc, IAlgorithm, IAlgTool, IAuditor, IAuditorSvc, IChronoStatSvc, IDataStreamTool, IEventTimeDecoder, IHistorySvc, IIssueLogger, IMagneticFieldSvc, IParticlePropertySvc, IPartPropSvc, IRndmGenSvc, IService, IStatusCodeSvc, and ITHistSvc.

Definition at line 23 of file INamedInterface.h.

References IID_INamedInterface.

Referenced by ToolSvc::nameTool(), ApplicationMgr::queryInterface(), Service::queryInterface(), Auditor::queryInterface(), AlgTool::queryInterface(), and Algorithm::queryInterface().

    00023 { return IID_INamedInterface; }

virtual const std::string& INamedInterface::name | ( |  | ) | const`[pure virtual]`

Retrieve the name of the instance.

Implemented in Algorithm, AlgTool, Auditor, Service, and ApplicationMgr.

Referenced by NameAuditor::afterBeginRun(), MemStatAuditor::afterBeginRun(), MemoryAuditor::afterBeginRun(), ChronoAuditor::afterBeginRun(), NameAuditor::afterEndRun(), MemStatAuditor::afterEndRun(), MemoryAuditor::afterEndRun(), ChronoAuditor::afterEndRun(), NameAuditor::afterExecute(), MemStatAuditor::afterExecute(), MemoryAuditor::afterExecute(), ChronoAuditor::afterExecute(), AlgErrorAuditor::afterExecute(), NameAuditor::afterFinalize(), MemoryAuditor::afterFinalize(), ChronoAuditor::afterFinalize(), NameAuditor::afterInitialize(), MemStatAuditor::afterInitialize(), MemoryAuditor::afterInitialize(), ChronoAuditor::afterInitialize(), NameAuditor::afterReinitialize(), MemStatAuditor::afterReinitialize(), MemoryAuditor::afterReinitialize(), ChronoAuditor::afterReinitialize(), NameAuditor::beforeBeginRun(), MemoryAuditor::beforeBeginRun(), ChronoAuditor::beforeBeginRun(), NameAuditor::beforeEndRun(), MemoryAuditor::beforeEndRun(), ChronoAuditor::beforeEndRun(), NameAuditor::beforeExecute(), MemoryAuditor::beforeExecute(), ChronoAuditor::beforeExecute(), NameAuditor::beforeFinalize(), MemoryAuditor::beforeFinalize(), ChronoAuditor::beforeFinalize(), NameAuditor::beforeInitialize(), MemoryAuditor::beforeInitialize(), ChronoAuditor::beforeInitialize(), NameAuditor::beforeReinitialize(), MemoryAuditor::beforeReinitialize(), ChronoAuditor::beforeReinitialize(), HistorySvc::dumpProperties(), HistorySvc::dumpState(), DataOnDemandSvc::execHandler(), HistorySvc::getAlgToolHistory(), HistorySvc::getServiceHistory(), ExceptionSvc::handle(), ExceptionSvc::handleErr(), TimingAuditor::i_beforeExecute(), TimingAuditor::i_beforeInitialize(), HistorySvc::listProperties(), Gaudi::Utils::AlgNameSelector::operator()(), HistorySvc::registerAlgTool(), HistorySvc::registerDataHistory(), HistorySvc::registerSvc(), EventLoopMgr::reinitialize(), ToolSvc::releaseTool(), GaudiCommon< PBASE >::releaseTool(), and ToolHandleInfo::toolParentName().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/INamedInterface.h